<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>updateUser</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body onload="onPageLoading()">
    <div class="container jumbotron">
        <div class="text-center mb-4">
            <!--row 1-->
            <h3>Chi tiet user</h3>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label>First name</label>
            </div>
            <div class="col-sm-8">
                <input class="form-control" placeholder="Nhap firstname" id="inp-firstname" type="text">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label>Last name</label>
            </div>
            <div class="col-sm-8">
                <input class="form-control" placeholder="Nhap lastname" id="inp-lastname" type="text">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label>Subject</label>
            </div>
            <div class="col-sm-8">
                <input class="form-control" placeholder="Nhap subject" id="inp-subject" type="text">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label>Country</label>
            </div>
            <div class="col-sm-8">
                <select class="form-control" id="select-country" name="Customertype">
                    <option value="VN">Viet Nam</option>
                    <option value="USA">USA</option>
                    <option value="AUS">Australia</option>
                    <option value="CAN">Canada</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label>Customer Type</label>
            </div>
            <div class="col-sm-8">
                <select class="form-control" id="select-customerType" name="Customertype">
                    <option value="Standard">Standard</option>
                    <option value="Gold">Gold</option>
                    <option value="Premium">Premium</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label>Register Status</label>
            </div>
            <div class="col-sm-8">
                <select class="form-control" id="select-register-status" name="registerStatus">
                    <option value="New">New</option>
                    <option value="Accepted">Accepted</option>
                    <option value="Denied">Denied</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                
            </div>
            <div class="col-sm-8">
                <button type="button" class="btn btn-success" id="btn-update-user">Update User</button>
                <button type="button" class="btn btn-success">Cancel</button>
            </div>
        </div>
        
    </div>
</body>
</html>
<script>
        "use strict";
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        function onPageLoading(){
            var vUrlString = window.location.href;
            var vUrl = new URL(vUrlString);
            //get 
            var vId = vUrl.searchParams.get("id");
            console.log(vId);
            callAPIGetDataUserById(vId);
        }

        
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
        function callAPIGetDataUserById(paramUserID){
            $.ajax({
                url: "http://203.171.20.210:8080/crud-api/users/" +paramUserID,
                type: "GET",
                dataType: "json",
                success: function(DataUserObj){
                    console.log(DataUserObj);
                    showDataUserToForm(DataUserObj);
                },
                error: function(ajaxContext){
                    alert(ajaxContext.responseText);
                },
            });
        }
        function showDataUserToForm(paramDataUserObj){
            $("#inp-firstname").val(paramDataUserObj.firstname);
            $("#inp-lastname").val(paramDataUserObj.lastname);
            $("#inp-subject").val(paramDataUserObj.subject);
            $("#select-country").val(paramDataUserObj.country);
            $("#select-customerType").val(paramDataUserObj.customerType);
            $("#select-register-status").val(paramDataUserObj.registerStatus);

        }
</script>